# TODO:
# - package Bento4 and use system one

%define		kodi_ver	21
%define		next_kodi_ver	%(echo $((%{kodi_ver}+1)))
%define		codename	Omega
%define		addon		inputstream.adaptive

%define		bento4_ver	1.6.0-641-3-Omega

Summary:	Kodi InputStream addon for several manifest types
Name:		kodi-addon-inputstream-adaptive
Version:	21.5.7
Release:	1
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	https://github.com/xbmc/inputstream.adaptive/archive/%{version}-%{codename}/%{version}-%{codename}.tar.gz
# Source0-md5:	36c94c58a8fe791d7a20b7a4e1e06ee2
Source1:	https://github.com/xbmc/Bento4/archive/%{bento4_ver}/Bento4-%{bento4_ver}.tar.gz
# Source1-md5:	7cefb139db93ab2417635f003cd7a7b5
Patch0:		bento4-hash.patch
URL:		https://github.com/xbmc/inputstream.adaptive
BuildRequires:	cmake >= 3.10
BuildRequires:	expat-devel
BuildRequires:	kodi-devel >= %{kodi_ver}
BuildRequires:	kodi-devel < %{next_kodi_ver}
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	pugixml-devel
BuildRequires:	rapidjson-devel
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	kodi >= %{kodi_ver}
Requires:	kodi < %{next_kodi_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kodi InputStream addon for several manifest types

%prep
%setup -q -n %{addon}-%{version}-%{codename}
%patch0 -p1

install -d build/download
cp -p %{SOURCE1} build/download/%{bento4_ver}.tar.gz

%build
%cmake -B build \
	-DBUILD_TESTING:BOOL=OFF \
	-DENABLE_INTERNAL_BENTO4:BOOL=ON
%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/kodi/addons/%{addon}
%attr(755,root,root) %{_libdir}/kodi/addons/%{addon}/%{addon}.so.%{version}
%ifarch aarch64
%attr(755,root,root) %{_libdir}/kodi/addons/%{addon}/libcdm_aarch64_loader.so
%endif
%dir %{_datadir}/kodi/addons/%{addon}
%{_datadir}/kodi/addons/%{addon}/addon.xml
%{_datadir}/kodi/addons/%{addon}/changelog.txt
%{_datadir}/kodi/addons/%{addon}/fanart.jpg
%{_datadir}/kodi/addons/%{addon}/icon.png
%{_datadir}/kodi/addons/%{addon}/resources
%changelog
* Sun Nov 17 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kodi-addon-inputstream-adaptive.git;a=log;h=master

* Sat Nov 16 2024 Jan Palus <atler@pld-linux.org> 4e043b9
- up to 21.5.7

* Tue Nov 05 2024 Jan Palus <atler@pld-linux.org> 8ac36ff
- up to 21.5.6

* Sat Oct 12 2024 Jan Palus <atler@pld-linux.org> dd57889
- up to 21.5.5

* Wed Aug 28 2024 Jan Palus <atler@pld-linux.org> d2e1c2e
- up to 21.5.4

* Sat Aug 24 2024 Jan Palus <atler@pld-linux.org> a5e9748
- don't package plugin symlink

* Sat Aug 24 2024 Jan Palus <atler@pld-linux.org> 49dd5fd
- up to 21.5.3

* Sat Aug 24 2024 Jan Palus <atler@pld-linux.org> e4bb26e
- include kodi minor version in packaging

* Sat Aug 10 2024 Jan Palus <atler@pld-linux.org> 82b8b1e
- up to 21.5.2

* Thu Aug 08 2024 Jan Palus <atler@pld-linux.org> bdde174
- up to 21.5.1

* Wed Jul 31 2024 Jan Palus <atler@pld-linux.org> d30e603
- update required bento4 version; rel 2

* Tue Jul 30 2024 Jan Palus <atler@pld-linux.org> bef1440
- up to 21.5.0

* Mon Jun 24 2024 Jan Palus <atler@pld-linux.org> 76c175c
- up to 21.4.10

* Thu May 30 2024 Jan Palus <atler@pld-linux.org> 6bff243
- up to 21.4.9

* Sun May 19 2024 Jan Palus <atler@pld-linux.org> f06d48a
- up to 21.4.8

* Thu May 09 2024 Jan Palus <atler@pld-linux.org> f351bc5
- up to 21.4.7

* Thu May 02 2024 Jan Palus <atler@pld-linux.org> 99a5d40
- up to 21.4.6

* Sat Apr 13 2024 Jan Palus <atler@pld-linux.org> 93d9eb0
- up to 21.4.5

* Thu Apr 11 2024 Jan Palus <atler@pld-linux.org> b613c84
- cdm loader lib is not %ghost

* Sun Apr 07 2024 Jan Palus <atler@pld-linux.org> 45e996e
- up to 21.4.4

* Sun Nov 12 2023 Jan Rękorajski <baggins@pld-linux.org> dcab112
- update bento4

